SASLPASSWD(8)

NAME
saslpasswd - set a user's sasl password

SYNOPSIS
saslpasswd [-p] [-d] [-c] [-u domain] [-a appname] userid

DESCRIPTION
saslpasswd is used by a server administrator to set a user's sasl password for server programs and SASL mechanisms which use the standard libsasl database of user secrets.

OPTIONS

-p  Pipe mode - saslpasswd will neither prompt for the password nor verify that it was entered correctly. This is the default when standard input is not a terminal.

-c  Creates an entry for the user if the user doesn't already exist. This is mutually exclusive with the -d (delete user) flag.

-d  Deletes the entry for the user. This is mutually exclusive with the -c (create user) flag.

-u domain
    use domain for user domain (realm).

-a appname
    use appname as application name.

SEE ALSO
rfc2222 - Simple Authentication and Security Layer (SASL)